import { Heading } from 'docz-utils/lib/mdast';
export interface EntryObj {
    id: string;
    filepath: string;
    link: string | null;
    slug: string;
    name: string;
    route: string;
    order: number;
    menu: string | null;
    headings: Heading[];
    [key: string]: any;
}
export declare class Entry {
    readonly [key: string]: any;
    id: string;
    filepath: string;
    link: string | null;
    slug: string;
    route: string;
    name: string;
    order: number;
    menu: string | null;
    headings: Heading[];
    settings: {
        [key: string]: any;
    };
    constructor(ast: any, file: string, src: string);
    setLink(url: string): void;
    private getFilepath;
    private getName;
    private slugify;
    private getRoute;
}
